petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetPC

Sets the preconditioner to be used to calculate the application of the preconditioner on a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetPC(KSP ksp,PC pc)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context obtained from KSPCreate() Many br
| pc | - the preconditioner object Many br

### Notes

Use KSPGetPC() to retrieve the preconditioner context (for example, Many brto free it at the end of the computations). Many br

Many br

### Keywords

KSP, set, precondition, Binv

### See Also

KSPGetPC()

Level:developer
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages